Bug 220884 - RFE: Add "disable/modify browse/broadcast" UI support under "Server settings"
RFE: Add "disable/modify browse/broadcast" UI support under "Server settings"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2006-12-28 06:31 EST by Gilboa Davara
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.7.74.4-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 08:19:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2182 None None None Never

  None (edit)
Description Gilboa Davara 2006-12-28 06:31:19 EST
Description of problem:
Currently, if you enable printer sharing under "Server settings", cupsd starts
broadcasting IPP messages over port 631 on all available subnets.
As there's no UI based mean to control/disable/etc these messages, the user is
forced to manually edit the Browse line in the /etc/cupsd/cupsd.conf file.

Version-Release number of selected component (if applicable):
system-config-printer-0.7.40-1.fc6.x86_64

- Gilboa
Comment 1 Gilboa Davara 2006-12-28 06:35:43 EST
Related to bug:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=220886
Comment 2 Tim Waugh 2007-01-04 11:56:18 EST
system-config-printer uses the CUPS admin API.  Reported upstream; hopefully the
API can be extended for this sort of thing.
Comment 3 Tim Waugh 2007-02-08 09:14:13 EST
Not something that will be fixed upstream until 1.3, where there will be a
distinction between 'share locally' and 'share over the Internet'.
Comment 4 Gilboa Davara 2007-02-08 11:53:45 EST
Any chance we'll see 1.3 in F7?
It is supposed (...) to be released in 03/07.

- Gilboa
Comment 5 Tim Waugh 2007-02-08 12:21:47 EST
Perhaps as an update.  Not at release time.

Note You need to log in before you can comment on or make changes to this bug.